%define module  urllib3
%define run_test 0

Summary:        Python HTTP library with thread-safe connection pooling, file post, and more
Name:           python-%{module}
Version:        1.24.3
%define subrel  1
Release:        %mkrel 1
License:        MIT
Group:          Development/Python
Url:            http://urllib3.readthedocs.org/
Source0:        https://pypi.io/packages/source/u/%{module}/%{module}-%{version}.tar.gz
Source1:        ssl_match_hostname_py3.py
BuildArch:      noarch

# For unittests
%if 0%{?run_test}
BuildRequires:  python3-nose
BuildRequires:  python3-mock
BuildRequires:  python3-tornado
BuildRequires:  python2-tornado
BuildRequires:  python2-nose
BuildRequires:  python2-mock
BuildRequires:  python2-backports-ssl_match_hostname
BuildRequires:  python2-six
BuildRequires:  python3-six
%endif


%description
There are two critical features missing from the Python standard
library: Connection re-using/pooling and file posting. It's not
terribly hard to implement these yourself, but it's much easier to use
a module that already did the work for you.

The Python standard libraries urllib and urllib2 have little to do
with each other. They were designed to be independent and standalone,
each solving a different scope of problems, and urllib3 follows in a
similar vein.

%package -n     python2-%{module}
Summary:        Python 2 HTTP library with thread-safe connection pooling, file post, and more
Group:          Development/Python
BuildRequires:  pkgconfig(python2)
BuildRequires:  python2-setuptools
Requires:       rootcerts
Requires:       python2-six
Requires:       python2-backports-ssl_match_hostname

Obsoletes:      python-urllib3 < 1.22-4
Provides:       python-urllib3 = %{version}-%{release}
# ease upgrade mga6->mga7
Conflicts:      python-urllib3 < 1.24.3-1.1

%description -n python2-%{module}
There are two critical features missing from the Python standard
library: Connection re-using/pooling and file posting. It's not
terribly hard to implement these yourself, but it's much easier to use
a module that already did the work for you.

The Python standard libraries urllib and urllib2 have little to do
with each other. They were designed to be independent and standalone,
each solving a different scope of problems, and urllib3 follows in a
similar vein.

%package -n     python3-%{module}
Summary:        Python 3 HTTP library with thread-safe connection pooling, file post, and more
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-setuptools
BuildRequires:  python3-six
Requires:       rootcerts
Requires:       python3-six

%description -n python3-%{module}
There are two critical features missing from the Python standard
library: Connection re-using/pooling and file posting. It's not
terribly hard to implement these yourself, but it's much easier to use
a module that already did the work for you.

The Python standard libraries urllib and urllib2 have little to do
with each other. They were designed to be independent and standalone,
each solving a different scope of problems, and urllib3 follows in a
similar vein.

%prep
%setup -q -n %{module}-%{version}

rm -rf test/with_dummyserver/

%autopatch -p1

cp -a . %{py3dir}

%build
%py2_build

pushd %{py3dir}
%py3_build
popd

%install
%py2_install

rm -rf %{buildroot}%{python2_sitelib}/urllib3/packages/six.py*
rm -rf %{buildroot}%{python2_sitelib}/urllib3/packages/ssl_match_hostname/

mkdir -p %{buildroot}%{python2_sitelib}/urllib3/packages/
ln -s ../../six.py %{buildroot}%{python2_sitelib}/urllib3/packages/six.py
ln -s ../../six.pyc %{buildroot}%{python2_sitelib}/urllib3/packages/six.pyc
ln -s ../../six.pyo %{buildroot}%{python2_sitelib}/urllib3/packages/six.pyo
ln -s ../../backports/ssl_match_hostname %{buildroot}%{python2_sitelib}/urllib3/packages/ssl_match_hostname

# dummyserver is part of the unittest framework
rm -rf %{buildroot}%{python2_sitelib}/dummyserver

pushd %{py3dir}
%py3_install

%define shortversion  %(%{__python3} -c "import sys; print(sys.version[0]+sys.version[2])")

# dummyserver is part of the unittest framework
rm -rf %{buildroot}%{python3_sitelib}/dummyserver

rm -rf %{buildroot}%{python3_sitelib}/urllib3/packages/six.py
rm -rf %{buildroot}%{python3_sitelib}/urllib3/packages/__pycache__/six.cpython-35.opt-1.pyc 
rm -rf %{buildroot}%{python3_sitelib}/urllib3/packages/__pycache__/six.cpython-35.pyc
rm -rf %{buildroot}%{python3_sitelib}/urllib3/packages/ssl_match_hostname/

mkdir -p %{buildroot}%{python3_sitelib}/urllib3/packages/
ln -s ../../six.py %{buildroot}%{python3_sitelib}/urllib3/packages/six.py
cp %{SOURCE1} %{buildroot}%{python3_sitelib}/urllib3/packages/ssl_match_hostname.py

popd


%files -n python2-%{module}
%doc CHANGES.rst README.rst CONTRIBUTORS.txt
%{python2_sitelib}/*

%files -n python3-%{module}
%doc CHANGES.rst README.rst CONTRIBUTORS.txt
%{python3_sitelib}/*


%changelog
* Mon Oct 28 2019 daviddavid <daviddavid> 1.24.3-1.1.mga7
+ Revision: 1456273
- fix conflict to ease upgrade mga6->mga7
+ shlomif <shlomif>
- New version 1.24.3 - MGA#23880 - upgrading smooth from mga6

* Fri Apr 19 2019 daviddavid <daviddavid> 1.24.2-1.mga7
+ Revision: 1393510
- new version: 1.24.2, fixes CVE-2019-11324 (mga#23880)

* Mon Feb 18 2019 daviddavid <daviddavid> 1.24.1-3.mga7
+ Revision: 1368182
- add a conflict to ease upgrade mga6 -> mga7

* Sat Jan 05 2019 wally <wally> 1.24.1-2.mga7
+ Revision: 1349409
- rebuild for python3.7

* Sat Dec 29 2018 luigiwalser <luigiwalser> 1.24.1-1.mga7
+ Revision: 1346593
- 1.24.1

* Sat Oct 20 2018 daviddavid <daviddavid> 1.24-1.mga7
+ Revision: 1322985
- new version: 1.24
- rename python-urllib3 to python2-urllib3

* Fri Sep 21 2018 umeabot <umeabot> 1.22-3.mga7
+ Revision: 1290452
- Mageia 7 Mass Rebuild

* Thu Aug 03 2017 philippem <philippem> 1.22-2.mga7
+ Revision: 1134364
- rebuild for Python 3.6

* Mon Jul 31 2017 daviddavid <daviddavid> 1.22-1.mga7
+ Revision: 1133200
- new version: 1.22

* Wed Nov 02 2016 philippem <philippem> 1.18.1-1.mga6
+ Revision: 1064732
- update to 1.18.1, fix CVE-2016-9015, mga#19667

* Sat Sep 10 2016 luigiwalser <luigiwalser> 1.17-2.mga6
+ Revision: 1051358
- revert cp six that is not reverted since we do not have a check section

* Sat Sep 10 2016 luigiwalser <luigiwalser> 1.17-1.mga6
+ Revision: 1051310
- 1.17
- sync from spec fixes from fedora

* Tue May 03 2016 philippem <philippem> 1.15.1-1.mga6
+ Revision: 1009018
- update to 1.15.1

* Sun Feb 07 2016 philippem <philippem> 1.13.1-3.mga6
+ Revision: 942201
- fix dangling mga#17677 mga#17699

* Thu Feb 04 2016 philippem <philippem> 1.13.1-2.mga6
+ Revision: 936139
- fix danglin mga#17677

* Mon Dec 21 2015 daviddavid <daviddavid> 1.13.1-1.mga6
+ Revision: 913228
- new version: 1.13.1

* Tue Dec 15 2015 daviddavid <daviddavid> 1.13-1.mga6
+ Revision: 910641
- new version: 1.13

* Wed Oct 07 2015 philippem <philippem> 1.10.4-4.mga6
+ Revision: 887081
- rebuild for Python3.5
+ tv <tv>
- rebuild for python 3.5
- rebuild for python 3.5

* Mon Jul 20 2015 philippem <philippem> 1.10.4-1.mga6
+ Revision: 855810
- update to 1.10.4

* Wed Oct 15 2014 umeabot <umeabot> 1.9-5.mga5
+ Revision: 746753
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.9-4.mga5
+ Revision: 729957
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.9-3.mga5
+ Revision: 688404
- Mageia 5 Mass Rebuild

* Mon Jul 21 2014 ovitters <ovitters> 1.9-2.mga5
+ Revision: 655293
- really fix unbundling patch

* Mon Jul 21 2014 philippem <philippem> 1.9-1.mga5
+ Revision: 655269
- update to 1.9, add tests

* Mon Jul 21 2014 philippem <philippem> 1.8.3-2.mga5
+ Revision: 655034
- add missing requires

* Mon Jul 14 2014 philippem <philippem> 1.8.3-1.mga5
+ Revision: 651886
- update to 1.8.3

* Sat May 31 2014 pterjan <pterjan> 1.8.2-2.mga5
+ Revision: 629081
- Rebuild for new Python

* Sat May 24 2014 philippem <philippem> 1.8.2-1.mga5
+ Revision: 625296
- update to 1.8.2

* Tue Oct 22 2013 umeabot <umeabot> 1.7.1-3.mga4
+ Revision: 544254
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.7.1-2.mga4
+ Revision: 499682
- Rebuild to add different pythonegg provides for python 2 and 3

* Fri Oct 04 2013 nmartin <nmartin> 1.7.1-1.mga4
+ Revision: 491108
- Add correct unbundle patch which fixes also ssl import with Python 3
- update to new version 1.7.1

* Wed Aug 28 2013 philippem <philippem> 1.7-1.mga4
+ Revision: 472740
- update to 1.7, add Python 3

* Sun Jan 13 2013 umeabot <umeabot> 1.4-2.mga3
+ Revision: 379657
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Aug 03 2012 ovitters <ovitters> 1.4-1.mga3
+ Revision: 278165
- clean spec
- Import from Mandriva


* Tue Jul 17 2012 Lev Givon <lev@mandriva.org> 1.4-1
+ Revision: 810074
- Update to 1.4.

* Wed Apr 25 2012 Lev Givon <lev@mandriva.org> 1.3-1
+ Revision: 793427
- imported package python-urllib3

